texture xTexture0;
float4 xDiffuse;
bool xLighting;
bool xColorVertex;
int xColorOperation;
int xAmbientMaterialSource;
int xDiffuseMaterialSource;

technique SoulReaver1Default
{
	pass p0
	{
		Texture[0] = <xTexture0>;
		MaterialDiffuse = <xDiffuse>;
		Lighting = <xLighting>;
		ColorVertex = <xColorVertex>;
		CullMode = NONE;
		ZEnable = TRUE;
		ZWriteEnable = TRUE;
		DitherEnable = TRUE;
		SpecularEnable = FALSE;
		NormalizeNormals = TRUE;
		AlphaTestEnable = TRUE;
		AlphaFunc = GREATER;
		AlphaRef = 0xA0;
		ColorOp[0] = <xColorOperation>;
		ColorArg1[0] = TEXTURE;
		ColorArg2[0] = CURRENT;
		AlphaOp[0] = MODULATE;
		AlphaArg1[0] = TEXTURE;
		AlphaArg2[0] = DIFFUSE;
		MagFilter[0] = LINEAR;
		MinFilter[0] = LINEAR;
		AmbientMaterialSource = <xAmbientMaterialSource>;
		DiffuseMaterialSource = <xDiffuseMaterialSource>;
	}
}